Package org.pushingpixels.substance.flamingo.ribbon.gallery.oob

# Class SubstanceRibbonTask

java.lang.Object
org.pushingpixels.substance.flamingo.ribbon.gallery.oob.SubstanceRibbonTask

public class SubstanceRibbonTask extends Object
Ribbon task for Substance-related controls (skins, themes, watermarks).

## Constructor Summary

Constructors
Constructor
Description
`SubstanceRibbonTask()`

## Method Summary

Modifier and Type
Method
Description
`static org.pushingpixels.flamingo.api.ribbon.RibbonTask`
`getSubstanceRibbonTask()`
Returns a new ribbon task for Substance-related control.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceRibbonTask

public SubstanceRibbonTask()

## Method Details

### getSubstanceRibbonTask

public static org.pushingpixels.flamingo.api.ribbon.RibbonTask getSubstanceRibbonTask()
Returns a new ribbon task for Substance-related control.

Returns:
  Ribbon task for switching Substance skins.